OpenVDB: openvdb::v4_0_2::logging Namespace Reference

OpenVDB 4.0.2

Namespaces | Classes | Enumerations | Functions
openvdb::v4_0_2::logging Namespace Reference

## Namespaces
| internal

## Classes
struct | LevelScope
| A LevelScope object sets the logging level to a given level and restores it to the current level when the object goes out of scope. More...

## Enumerations
enum | Level { Debug = log4cplus::DEBUG_LOG_LEVEL, Info = log4cplus::INFO_LOG_LEVEL, Warn = log4cplus::WARN_LOG_LEVEL, Error = log4cplus::ERROR_LOG_LEVEL, Fatal = log4cplus::FATAL_LOG_LEVEL }
| Message severity level. More...

## Functions
Level | getLevel ()
| Return the current logging level. More...
void | setLevel (Level lvl)
| Set the logging level. (Lower-level messages will be suppressed.) More...
void | setLevel (int &argc, char *argv[])
| If "-debug", "-info", "-warn", "-error" or "-fatal" is found in the given array of command-line arguments, set the logging level appropriately and remove the relevant argument(s) from the array. More...
void | setProgramName (const std::string &progName, bool useColor=true)
| Specify a program name to be displayed in log messages. More...
void | initialize (bool useColor=true)
| Initialize the logging system if it is not already initialized. More...
void | initialize (int &argc, char *argv[], bool useColor=true)
| Initialize the logging system from command-line arguments. More...

## Enumeration Type Documentation

## ◆ Level

enum Level
| strong

Message severity level.

Enumerator
Debug |
Info |
Warn |
Error |
Fatal |

## Function Documentation

## ◆ getLevel()

Level openvdb::v4_0_2::logging::getLevel | ( |  | ) |
| inline

Return the current logging level.

## ◆ initialize() [1/2]

void openvdb::v4_0_2::logging::initialize | ( | bool | useColor = `true` | ) |
| inline

Initialize the logging system if it is not already initialized.

## ◆ initialize() [2/2]

void openvdb::v4_0_2::logging::initialize | ( | int & | argc,
|  | char * | argv[],
|  | bool | useColor = `true`
| ) |  |
| inline

Initialize the logging system from command-line arguments.

If "-debug", "-info", "-warn", "-error" or "-fatal" is found in the given array of command-line arguments, set the logging level appropriately and remove the relevant argument(s) from the array.

## ◆ setLevel() [1/2]

void openvdb::v4_0_2::logging::setLevel | ( | Level | lvl | ) |
| inline

Set the logging level. (Lower-level messages will be suppressed.)

## ◆ setLevel() [2/2]

void openvdb::v4_0_2::logging::setLevel | ( | int & | argc,
|  | char * | argv[]
| ) |  |
| inline

If "-debug", "-info", "-warn", "-error" or "-fatal" is found in the given array of command-line arguments, set the logging level appropriately and remove the relevant argument(s) from the array.

## ◆ setProgramName()

void openvdb::v4_0_2::logging::setProgramName | ( | const std::string & | progName,
|  | bool | useColor = `true`
| ) |  |
| inline

Specify a program name to be displayed in log messages.